Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
roleNames?array<string>
string
tenantId?string
Delete roles in batch, using a valid management key.
This API endpoint allows administrators to delete roles in batch. The endpoint takes the following one parameter:
- roleNames (required)
See also
- See User Authorization for further details on managing roles and permissions.
curl -X POST "https://api.descope.com/v1/mgmt/role/delete/batch" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?
Delete Role POST
### Delete a role, using a valid management key. This API endpoint allows administrators to delete an existing role. The endpoint takes the following one parameter: - name (required) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions._override/App.tsx
Project Management API Overview
Use the Descope API to manage your projects with a management key.